%define oname   wrongdoc

Name:       ruby-%{oname}
Version:    1.8.1
Release:    %mkrel 2
Summary:    RDoc done right (IMNSHO)
License:    GPLv3+
Group:      Development/Ruby
URL:        http://bogomips.org/wrongdoc/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     wrongdoc-1.8.1-deps.patch
BuildArch:  noarch
BuildRequires: ruby-devel
BuildRequires: rubygems
BuildRequires: rubygem(tidy_ffi)
BuildRequires: rubygem(nokogiri)

%description
wrongdoc mangles an existing RDoc directory and makes any changes we feel like.
It mainly removes JavaScript from Darkfish and adds links to a cgit instance.
It is a bikeshed project and *entirely* subject to the whims of its creator,
so it is likely the wrong solution for anybody else.

%files
%{_bindir}/%{oname}
%{gem_instdir}/
%{gem_spec}

%package doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
%autopatch -p1

%build
export VERSION=%{version}
%gem_build

%install
export VERSION=%{version}
%gem_install

%files doc
%doc LICENSE README NEWS LATEST ChangeLog
%doc %{gem_docdir}



%changelog
* Fri Apr 15 2016 daviddavid <daviddavid> 1.8.1-2.mga6
+ Revision: 1001597
- add a patch to fix dependency on ruby-rdoc

* Sun Feb 14 2016 pterjan <pterjan> 1.8.1-1.mga6
+ Revision: 960135
- Update to 1.8.1

* Sat Dec 19 2015 pterjan <pterjan> 1.7.0-8.mga6
+ Revision: 912323
- Rebuild for ruby 2.2

* Wed Oct 21 2015 pterjan <pterjan> 1.7.0-7.mga6
+ Revision: 893718
- Fix the package to be noarch

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-6.mga5
+ Revision: 748219
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-5.mga5
+ Revision: 689001
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.7.0-4.mga4
+ Revision: 562648
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.7.0-3.mga4
+ Revision: 538167
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.7.0-2.mga4
+ Revision: 482372
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.7.0-1.mga4
+ Revision: 479979
- imported package ruby-wrongdoc


* Thu Mar 31 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.5.0-1
- Initial package
